Agile Boards API
List agile boards
Заголовок раздела «List agile boards»List all agile boards for an account:
GET /agile_boardsResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2021-03-11T06:25:54-06:00", "id": 2, "name": "Application Development", "sourceID": null, "updated_at": "2021-03-11T06:25:54-06:00", "...": "..." }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of agile boards.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/agile_boards/disabled: List all disabled agile boards/agile_boards/enabled: List all enabled agile boards
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of agile boards:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
disabled
Sorting
Заголовок раздела «Sorting»By default a collection of agile boards is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single agile board
Заголовок раздела «Get a single agile board»GET /agile_boards/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "created_at": "2021-03-11T06:25:54-06:00", "id": 2, "name": "Application Development", "sourceID": null, "updated_at": "2021-03-11T06:25:54-06:00", "...": "..."}The response contains these fields .
Create an agile board
Заголовок раздела «Create an agile board»POST /agile_boardsWhen creating a new agile board these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "name": "...", "...": "..."}The response contains all fields of the created agile board and is similar to the response in Get a single agile board .
Update an agile board
Заголовок раздела «Update an agile board»PATCH /agile_boards/:idWhen updating an agile board these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "...", "...": "..."}The response contains all fields of the updated agile board and is similar to the response in Get a single agile board .
attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the agile board was created.
current_sprint
Readonly reference to Sprint — The scrum sprint the agile board is currently linked to.
description
Optional text (max 64KB) — The Description field is used to enter a description of the agile board.
description_attachments
Writeonly attachments The attachments used in the Description field.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the agile board may no longer be related to other records.
id
Readonly integer — The unique ID of the agile board.
manager
Optional reference to Person — The Manager field is used to select the manager or supervisor of the agile board. This person is able to maintain the information about the agile board.
name
Required string (max 128) — The Name field is used to enter the name of the agile board.
picture_uri
Optional string — The hyperlink to the image file for the agile board.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the agile board. If the agile board has no updates it contains the
created_at
value.